Purchasing

Purchasing and Activating

The trial version of Chat Controller is limited to 3 rules. The full version does not have any limitations. To purchase Chat Controller please go to: http://www.zemericks.com/store/index.asp

After you purchase you will receive a registration key (also referred to as a product key). To activate your trial version into the full version enter your registration key into the Registration Key field on Chat Controller's main screen. Then click the Activate button.


Welcome

Chat Controller Overview

Chat Controller is a parental-control program that lets you create rules that determine when users of the computer cannot use certain instant messaging programs. Multiple rules can be created and each user of the computer can have multiple rules.

The IM Audit tool scans your computer for today's most popular instant messengers so you know what messengers are installed on your computer.

Chat Controller runs as a Windows service and requires the .NET Framework 2.0 and Windows 2000/XP/2003. Please read the Security Considerations before using Chat Controller.

Because instant messaging software is released and updated often, Chat Controller will also be updated periodically. The primary goal of updates to Chat Controller is to keep it compatible with the most current versions of instant messengers. To see what instant messengers your Chat Controller software is compatible with, click Instant Messenger Compatibility from Chat Controller's Help menu.

For additional Help please visit http://www.zemericks.com/support/.


Installing

To install Chat Controller:

  1. Download Chat Controller at http://www.zemericks.com.
  2. Double-click the installation file (chatcontroller.exe).
  3. Step through the installation.

Once the installation is complete the Chat Controller will automatically be started. To create new rules run Chat Controller from your Start menu.

Notes

  • The .NET Framework 2.0 is required to use Chat Controller. If the .NET Framework 2.0 is not installed on your computer, you will be able to download it during the Chat Controller installation. You can also download from Microsoft here.
  • For security purposes, you are required to be an Administrator user to install Chat Controller.
  • On Windows XP computer, the Chat Controller installation will provide you with the option of creating a System Restore point prior to installing.


Uninstalling

To uninstall Chat Controller:

  1. Locate Chat Controller in the Add or Remove Programs list in the Control Panel.
  2. Select it and click Remove.

Notes

  • If you selected the Create shortcut to uninstall Chat Controller option when installing Chat Controller there will be a shortcut to uninstall Chat Controller in your Start menu.
  • For security purposes, you must be an Administrator user to uninstall Chat Controller.


Post Installation Notes

Chat Controller includes a feature that will keep your computer's clock synchronized with the atomic clock automatically. This feature requires access to the Internet, and as a result, you may be prompted by your firewall to allow this action. Please choose 'Allow' or 'Yes' in your firewall to allow this action. If you do not, Chat Controller will not be able to keep your computer's clock synchronized with the atomic clock.

Notes

  • The Keep the system time synchronized with the atomic clock setting in Chat Controller is not selected by default.


Security Considerations

Please read the following security considerations to help secure Chat Controller.

Windows Authentication

Chat Controller uses Windows authentication to control access to Chat Controller. If the Only allow Administrator users access to Chat Controller option in Chat Controller's settings is not selected all users of the computer (including Limited Users) will be able to run Chat Controller and create and delete rules. In almost all cases this is not desired. This option is selected by default and it is recommended that it remain selected.

Note: Be sure that any users that you do not want to have access to Chat Controller are set up as Limited Users on your computer.

User Accounts

Because the rules you create are specific to individual user accounts on your computer, it is very imperative that each user of your computer that you want to have a rule for has their own account on your computer.

Summary Security Checklist

  • The Only allow Administrator users access to Chat Controller option in Chat Controller's settings is selected.

  • The users that are the subject of rules in Chat Controller are set up to be Limited Users on your computer.


Creating a Rule

  1. On the Rules menu, click Create a Rule.
  2. The Create a Rule dialog box will be shown.
  3. Under the Rule Properties tab, enter a name and optional description for the rule in the respective text boxes.
  4. Select the users and instant messengers the rule will affect.
  5. Click the Rule Schedule tab.
  6. If you want this rule to block a specific day, click the Block an entire day option. If you want this rule to block a time range in several days, click the Block a time range on several days option.
  7. Select the date or days and time range for the rule. This is when the rule will be enforced by Chat Controller.
  8. If you would like to receive a e-mail message when this rule is enforced select the Notify me via e-mail when this rule is enforced option. If you have not done so already, you must enter your e-mail address into Chat Controller's settings to receive the e-mail.
  9. Click Ok.

If enabled, the new rule will take affect immediately.

Notes

  • If you select the Block an entire day option, Chat Controller will block instant messaging for the duration of that day. Select the Block a time range on several days to specify a time range when instant messaging is not allowed.
  • The time ranges are shown in 24-hour time.


Deleting a Rule

  1. In the list of rules select the rule you want to delete.
  2. From the Rules menu click Delete Rule.


Disabling a Rule

Rules can be either enabled or disabled. Enabled rules will be enforced by Chat Controller while disabled rules will not be enforced.

  1. In the list of rules right-click the rule you want to disable.
  2. Click Disable Rule.
  3. The rule is now disabled and will not be enforced by Chat Controller.

To enable a rule:

  1. In the list of rules right-click the rule you want to disable.
  2. Click Enable Rule.
  3. The rule is now enabled and will be enforced by Chat Controller.

Notes

  • Enabling and disabling rules takes affect immediately.


Service Controls

Chat Controller has two parts. The first is the interface that you use to create rules and set Chat Controller's settings. The second part is a Windows service that enforces the rules. While in most cases you will not need to be concerned about the service you can control it as follows:

  1. On the Tools menu, click Chat Controller Service.
  2. Depending upon the service's current state, you will be able to either start or stop the service using the respective menus.
  3. Click Start Service to start the service, Stop Service to stop the service, or Restart Service to stop it and then start it again.

Advanced users can also use the Services MMC to start and stop the service.

Notes

  • Chat Controller can only enforce rules when the service is started.
  • If both Start Service and Stop Service menu items are disabled the the Chat Controller service is not installed properly. Re-install Chat Controller to re-install the service.


IM Audit Tool

The IM Audit Tool scans your computer for today's most popular instant messengers.

  1. On the Tools menu, click Instant Messenger Audit.
  2. This will show the Instant Messengers Audit dialog box.
  3. To exclude an instant messenger in the search uncheck it.
  4. Click Scan to begin scanning for the instant messengers shown in the list.

Notes

  • After scanning, click Scan to save the findings to a text file.


Event Log

Chat Controller keeps a log of when a rule is enforced and when the Chat Controller service is started and stopped. To view the logs:

  1. On the Tools menu, click Event Log.
  2. The Event Log dialog box will be shown.
  3. Click the Rule Enforcement Logs tab or the Service Log tab.

To clear either Log:

  1. On the Tools menu, click Event Log.
  2. The Event Log dialog box will be shown.
  3. Click the Rule Enforcement Logs tab or the Service Log tab.
  4. Right-click the log list and click Clear Log.


Settings

To open Chat Controller's settings:

  1. On the Tools menu, click Settings.
  2. The Settings dialog box will be shown.

Description of Settings' Options tab:

Setting | Description
Log each instance when a rule is enforced. | This option will cause Chat Controller to keep a log of each time a rule is enforced.
Keep the system time synchronized with the atomic clock. | This option will cause Chat Controller to periodically synchronize your computer's clock with the atomic clock.
Use advanced detection techniques. | This option will help to enforce the rules but on some computers it may affect performance of Chat Controller. This option is only recommended if the users of your computer are very computer savvy.
Only allow Administrator users access to Chat Controller. | When this option is selected, you must be logged on to your computer as an Administrator user to run Chat Controller and create rules. It is recommended that you select this option.
Notify the user when a rule is enforced. | If this option is selected the user will be shown a notification when a rule is enforced. The message shown will be: This operation has been disabled by the administrator. It is recommended that this option be selected so the user understands what is happening and does not think that something is wrong with the computer instead.

Description of Settings' E-Mail Settings tab.

The first item labeled My E-Mail Address is required if you want to receive e-mail notifications when a rule is enforced. You can choose whether to use Chat Controller's mail server or your own mail server. After entering the appropriate e-mail settings click the Send Test E-Mail button to make sure your settings are correct. A test e-mail will be sent to the address you specified in the My E-Mail Address field. If you get the e-mail your settings are correct.


Chat Controller Public Rule Viewer

The purpose of the Chat Controller Public Rule Viewer is to let the users of your computer know when instant messaging use is restricted.

The Chat Controller Public Rule Viewer lets all users of your computer view the rules that apply to them. (For example, when Bob logs on to your computer and opens the Chat Controller Public Rule Viewer he will only see the rules that apply to him. He will not see the rules that apply to Jane.)

A shortcut for the Public Rule Viewer will be installed in your Start menu. For convenience, you may copy this shortcut to a better location for all users of your computer.

Note: The Public Rule Viewer only lists the applicable rules - the rules cannot be edited, deleted, or disabled using the Public Rule Viewer.